/************************************************************************
 * Valise1Levels.js
 ************************************************************************
 * Copyright (c) 2021 Pedro Tonini Rosenberg Schneider.
 *
 * This file is part of Alfabetiza.
 *
 * Alfabetiza is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Alfabetiza is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *     
 * You should have received a copy of the GNU General Public License     
 * along with Alfabetiza.  If not, see <https://www.gnu.org/licenses/>.
 *************************************************************************/

const VALISE1_LEVELS = {
    tutorial:
    {
        questionCard:
        {
            path: "assets/textures/monke.png",
            name: "Cutia"
        },

        optionCards: [
        {
            path: "assets/textures/monke.png",
            name: "Tia"
        },
        {
            path: "assets/textures/glasses.png",
            name: "Avô"
        },
        {
            path: "assets/textures/house.png",
            name: "Avó"
        },
        {
            path: "assets/textures/key.png",
            name: "Irmão"
        }, ],
    },

    level1:
    {
        questionCard:
        {
            path: "assets/textures/monke.png",
            name: "Mandioca"
        },

        optionCards: [
        {
            path: "assets/textures/monke.png",
            name: "Oca"
        },
        {
            path: "assets/textures/glasses.png",
            name: "Mão"
        },
        {
            path: "assets/textures/house.png",
            name: "Ovo"
        },
        {
            path: "assets/textures/key.png",
            name: "Manga"
        }, ],

        tip: "É o nome de uma moradia que está escondida dentro da palavra MANDIOCA."
    },

    level2:
    {
        questionCard:
        {
            path: "assets/textures/monke.png",
            name: "Mamão"
        },

        optionCards: [
        {
            path: "assets/textures/monke.png",
            name: "Mão"
        },
        {
            path: "assets/textures/glasses.png",
            name: "Pente"
        },
        {
            path: "assets/textures/house.png",
            name: "Maçã"
        },
        {
            path: "assets/textures/key.png",
            name: "Avião"
        }, ],

        tip: "É o nome de uma parte do corpo que está escondido dentro da palavra MAMÃO."
    },

    level3:
    {
        questionCard:
        {
            path: "assets/textures/monke.png",
            name: "Jabuticaba"
        },

        optionCards: [
        {
            path: "assets/textures/monke.png",
            name: "Jabuti"
        },
        {
            path: "assets/textures/glasses.png",
            name: "Jaca"
        },
        {
            path: "assets/textures/house.png",
            name: "Casa"
        },
        {
            path: "assets/textures/key.png",
            name: "Bruxa"
        }, ],

        tip: "É o nome de um animal que está escondido dentro da palavra JABUTICABA."
    },

    level4:
    {
        questionCard:
        {
            path: "assets/textures/monke.png",
            name: "Repolho"
        },

        optionCards: [
        {
            path: "assets/textures/monke.png",
            name: "Olho"
        },
        {
            path: "assets/textures/glasses.png",
            name: "Ovo"
        },
        {
            path: "assets/textures/house.png",
            name: "Rede"
        },
        {
            path: "assets/textures/key.png",
            name: "Galho"
        }, ],

        tip: "É o nome de uma parte do rosto que está escondida dentro da palavra REPOLHO."
    },

    level5:
    {
        questionCard:
        {
            path: "assets/textures/monke.png",
            name: "Carambola"
        },

        optionCards: [
        {
            path: "assets/textures/monke.png",
            name: "Bola"
        },
        {
            path: "assets/textures/glasses.png",
            name: "Casa"
        },
        {
            path: "assets/textures/house.png",
            name: "Mão"
        },
        {
            path: "assets/textures/key.png",
            name: "Oca"
        }, ],

        tip: "É o nome de um brinquedo que está escondido dentro da palavra CARAMBOLA."
    },

    level6:
    {
        questionCard:
        {
            path: "assets/textures/monke.png",
            name: "Galho"
        },

        optionCards: [
        {
            path: "assets/textures/monke.png",
            name: "Alho"
        },
        {
            path: "assets/textures/glasses.png",
            name: "Gato"
        },
        {
            path: "assets/textures/house.png",
            name: "Repolho"
        },
        {
            path: "assets/textures/key.png",
            name: "Jabuti"
        }, ],

        tip: "É o nome de um tempero ou alimento que está escondido dentro da palavra GALHO."
    },

    level7:
    {
        questionCard:
        {
            path: "assets/textures/monke.png",
            name: "Pepino"
        },

        optionCards: [
        {
            path: "assets/textures/monke.png",
            name: "Pino"
        },
        {
            path: "assets/textures/glasses.png",
            name: "Pente"
        },
        {
            path: "assets/textures/house.png",
            name: "Bruxa"
        },
        {
            path: "assets/textures/key.png",
            name: "Rede"
        }, ],

        tip: "É o nome de um objeto de jogo que está escondido dentro da palavra PEPINO."
    },
}